%define subrel 1

Summary:   Intel / AMD CPU Microcode
Name:      microcode
Version:   0.20120313
Release:   %mkrel 1
Group:     System/Kernel and hardware
License:   Distributable
# use update-intel-microcode --download-only (from microcode_ctl) to update
Source0:   intel-microcode.dat
# use update-amdl-microcode --download-only (from microcode_ctl) to update
Source1:   amd-ucode-latest.tar
Buildroot: %_tmppath/%name-%version-buildroot
Buildarch: noarch

%description
Since PentiumPro, Intel CPU are made of a RISC chip and of a microcode whose
purpose is to decompose "old" ia32 instruction into new risc ones.
P6 familly is concerned: PPro, PII, Celeron, PIII, Celeron2.
Recent kernels have the ability to update this microcode.

The microcode update is volatile and needs to be uploaded on each system
boot. I.e. it doesn't reflash your cpu permanently.
Reboot and it reverts back to the old microcode.

This package contains microcode for Intel CPU, as well as microcode for 
AMD CPU (AMD Phenom(TM), AMD Opteron(TM) and AMD Turion(TM) 64 Ultra).

%prep
%setup -q -T -c

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/lib/firmware/intel-microcode
install -m644 %{SOURCE0} $RPM_BUILD_ROOT/lib/firmware/intel-microcode

tar xf %{SOURCE1} -C %{buildroot}/lib/firmware
mv %{buildroot}/lib/firmware/amd-ucode-2012-01-17 %{buildroot}/lib/firmware/amd-ucode

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/lib/firmware/amd-ucode
/lib/firmware/intel-microcode/intel-microcode.dat




%changelog

* Wed May 30 2012 zezinho <zezinho> 0.20120313-1.1.mga2
+ Revision: 251646
- fix firmware path #4327

  + tv <tv>
    - update microcode

* Sat Jan 15 2011 tmb <tmb> 0.20110115-1.mga1
+ Revision: 19854
- imported package microcode


* Sat Jan 15 2011 Thomas Backlund <tmb@mageia.org> 0.20110115-1.mga1
- initial Mageia import
- update intel microcode to 2010-09-29
- update amd microcode to 2011-01-11
- install intel microcode under /lib/firmware too
- build as noarch

* Thu Feb 04 2010 Frederic Crozat <fcrozat@mandriva.com> 0.20100204-1mdv2010.1
+ Revision: 500860
- import microcode


